## smptealpha

smptealpha — Apply the standard SMPTE transitions as alpha on video images

## Properties

gint | border | Read / Write
gint | depth | Read / Write
gdouble | position | Read / Write
GstSMPTEAlphaTransitionType | type | Read / Write
gboolean | invert | Read / Write

## Types and Values

struct | GstSMPTEAlpha

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstSMPTEAlpha

## Description

smptealpha can accept an I420 or AYUV video stream. An alpha channel is added using an effect specific SMPTE mask in the I420 input case. In the AYUV case, the alpha channel is modified using the effect specific SMPTE mask.

The “position” property is a controllabe double between 0.0 and 1.0 that specifies the position in the transition. 0.0 is the start of the transition with the alpha channel to complete opaque where 1.0 has the alpha channel set to completely transparent.

The “depth” property defines the precision in bits of the mask. A higher presision will create a mask with smoother gradients in order to avoid banding.

### Sample pipelines

Here is a pipeline to demonstrate the smpte transition :

    gst-launch-1.0 -v videotestsrc ! smptealpha border=20000 type=44
    position=0.5 ! videomixer ! videoconvert ! ximagesink

This shows a midway bowtie-h transition a from a videotestsrc to a transparent image. The edges of the transition are smoothed with a 20000 big border.

## Synopsis

### Element Information

plugin | smpte
author | Wim Taymans <wim.taymans@gmail.com>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)YV12, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)ARGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGRA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)ARGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)ARGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGRA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)ARGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSMPTEAlpha

    struct GstSMPTEAlpha;

## Property Details

### The `“border”` property

      “border”                   gint

The border width of the transition.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“depth”` property

      “depth”                    gint

Depth of the mask in bits.

Flags: Read / Write

Allowed values: [1,24]

Default value: 16

### The `“position”` property

      “position”                 gdouble

Position of the transition effect.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“type”` property

      “type”                     GstSMPTEAlphaTransitionType

The type of transition to use.

Flags: Read / Write

Default value: A bar moves from left to right

### The `“invert”` property

      “invert”                   gboolean

Set to TRUE to invert the transition mask (ie. flip it horizontally).

Flags: Read / Write

Default value: FALSE